package com.qs.mp.channel.service;

import com.qs.mp.channel.domain.ChannelOrder;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.vo.ChannelOrderSettleVO;
import com.qs.mp.channel.domain.vo.ChannelOrderVO;
import com.qs.mp.pay.domain.PayOrder;
import com.qs.mp.user.domain.UserDeliverOrder;
import com.qs.mp.user.domain.vo.UserDeliverOrderVO;

/**
 * <p>
 * 经销商盲票采购订单 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IChannelOrderService extends IService<ChannelOrder> {

  /**
   * 提交订单
   * @param channelId
   * @param memo
   * @param orderSettleVO
   * @return
   */
  String submitOrder(Long channelId, String memo, ChannelOrderSettleVO orderSettleVO);

  /**
   * 取消订单
   * @param channelId
   * @param orderId
   * @return
   */
  boolean cancelOrder(Long channelId, String orderId);

  /**
   * 支付成功回调
   * @param payOrder
   */
  void paySuccess(PayOrder payOrder);
  
	/**
	 * 渠道订单发货
	 * 
	 * @param orderId
	 * @param pkgIds
	 * @return
	 */
	boolean channelOrderShip(ChannelOrder channelOrder, List<String> pkgIdList);
	
	
	/**
	 * 获取经销商订单列表信息，支持翻页
	 * 
	 * @param wrapper
	 * @return
	 */
	public List<ChannelOrderVO> selectChannelOrderVoList(Wrapper<ChannelOrder> wrapper);
}
